procedure gprst48 (section)

string	section		{prompt="Image section string"}
int	xlo		{prompt="xstart"}
int	xhi		{prompt="xend"}
int	ylo		{prompt="ystart"}
int	yhi		{prompt="yend"}
bool	ok		{yes,prompt="No errors encountered?"}

# @(#) subtask gprst48            Author: R.A. Jansen -- January 19 1996
# @(#) 
# @(#) subtask called from 'ccd48proc' to return xlo,xhi,ylo,yhi as task
# @(#) parameters (integer), given an image section [xlo:xhi,ylo:yhi].
# @(#)
# @(#) Aug 12 2003 -- This sub-task is now obsolete:  'ccd48proc'  calls
# @(#)		      the  generalized version  of this task,  'rpparse'
# @(#)                directly,  to allow  use of wild-cards  and multi-
# @(#)                extension FITS images.  This task  remains part of
# @(#)                the 'ccd48' package for historical reference. RAJ.

begin
	string	cstr, cxlo, cxhi, cylo, cyhi
	int	pos1, pos2, pos3, llen

	cstr = section

	llen = strlen(cstr)
	pos1 = stridx (":", cstr)
	pos2 = stridx (",", cstr)
	pos3 = stridx (":", substr(cstr,pos2,llen))

#	Does image cstr conform to format?
	if ( pos1 == 0 || pos2 == 0 || pos3 == 0 || llen == 0 ) {
	   ok = no
	   return
	}
	if ( substr(cstr,1,1) != "[" || substr(cstr,llen,llen) != "]" ) {
	   ok = no
	   return
	}

#	Apparently yes
	cxlo = substr(cstr,2,pos1-1)
	cxhi = substr(cstr,pos1+1,pos2-1)
	cylo = substr(cstr,pos2+1,pos2+pos3-2)
	cyhi = substr(cstr,pos2+pos3,llen-1)

	xlo = int(cxlo)
	xhi = int(cxhi)
	ylo = int(cylo)
	yhi = int(cyhi)

	ok = yes

end
