procedure rnimg48 (image, imtype, suffix, copimg)

string	image	=""		{prompt="Input image"}
string	imtype	=".fits"	{prompt="Image type (eg, .fits)"}
string	suffix	=""		{prompt="Suffix for new name"}
bool	copimg	=no		{prompt="Copy rather than rename image?"}
string	result	=""		{prompt="Name of copied/renamed image"}
bool	ok	=no		{prompt="Was copy/rename succesfull?"}

# @(#) subtask rnimg48             Author: R.A. Jansen -- August 14 2003
# @(#) 
# @(#) subtask called from 'ccd48proc' to either copy or rename an input
# @(#) image, given a suffix 'suff'.  The new image name is returned via
# @(#) parameter 'input'.

begin
	string	cimg, ctyp, csuf
	bool	bok

	# Initialize variables...
	cimg = image
	ctyp = imtype
	csuf = suffix
	bok  = no

	# (Re)initialize task parameter...
	result = image
	ok     = bok

	# Check that the output frame does not exist already...
	chkimg (cimg//csuf//ctyp, "noaccess", imtype="", verbose+)
	if (!chkimg.ok) { return }

	# Either copy or rename image...
	if (copimg) {
	   imcopy (cimg//ctyp, cimg//csuf//ctyp, verbose-)
	} else {
	   imrename (cimg//ctyp, cimg//csuf//ctyp, verbose-)
	}

	# Update task parameter...
	result = cimg//csuf
	ok     = yes

end
