procedure tdefs48 ()

bool	ok	=yes	    {prompt="Are all required packages loaded?"}

# @(#) subtask tdefs48              Author: R.A. Jansen -- March 19 1997
# @(#)
# @(#) subtask called from 'ccd48proc' to verify that all required pack-
# @(#) ages and their tasks are available before processing any data.
# @(#)
# @(#) Aug 10 2003 -- Clean-up code; changed test for user tasks to test
# @(#)                whether package 'rjtools' is loaded. RAJ. IRAF2121

begin
	bool	bok

#	Initialize variables...
	bok = yes

#	(Re)initialize task parameters...
	ok = bok

#	Test wether required packages are loaded...
	if ( !defpac("images") ) {
	   print("WARNING: package 'images' not loaded! Please load first.")
	   bok = no
	}
	if ( !defpac("lists") ) {
	   print("WARNING: package 'lists' not loaded! Please load first.")
	   bok = no
	}
	if ( !defpac("stsdas") ) {
	   print ("WARNING: package 'stsdas' not loaded! Please load first.")
	   bok = no
	}
	if ( !defpac("noao") ) {
	   print("WARNING: package 'noao' not loaded! Please load first.")
	   bok = no
	}
	if ( !defpac("imred") ) {
	   print("WARNING: package 'noao.imred' not loaded! Please load first.")
	   bok = no
	}
	#if ( !defpac("ccdred") ) {
	#   print("WARNING: package 'noao.imred.ccdred' not loaded! Please load first.")
	#   bok = no
	#}
	if ( !defpac("bias") ) {
	   print("WARNING: package 'noao.imred.bias' not loaded! Please load first.")
	   bok = no
	}
	if ( !defpac("artdata") ) {
	   print("WARNING: package 'noao.artdata' not loaded! Please load first.")
	   bok = no
	}
	if ( !defpac("rjtools") ) {
	   print("WARNING: external package 'rjtools' not loaded! Please load first!")
	   bok = no
	}

#	Return result of test as task parameter...
	ok = bok

end
